Libosmium: detail::node_handler Struct Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
detail::node_handler Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::node_handler:
[legend]
Collaboration diagram for detail::node_handler:
[legend]

## Static Public Member Functions
static void | set_value (osmium::Node &node, attr::_location location) noexcept
template<typename TDummy>
static void | set_value (osmium::OSMObject &, const TDummy &) noexcept
static void | set_value (osmium::OSMObject &object, attr::_id id) noexcept
static void | set_value (osmium::OSMObject &object, attr::_version version) noexcept
static void | set_value (osmium::OSMObject &object, attr::_visible visible) noexcept
static void | set_value (osmium::OSMObject &object, attr::_deleted deleted) noexcept
static void | set_value (osmium::OSMObject &object, attr::_timestamp timestamp) noexcept
static void | set_value (osmium::OSMObject &object, attr::_cid changeset) noexcept
static void | set_value (osmium::OSMObject &object, attr::_uid uid) noexcept
Static Public Member Functions inherited from detail::object_handler
template<typename TDummy>
static void | set_value (osmium::OSMObject &, const TDummy &) noexcept
static void | set_value (osmium::OSMObject &object, attr::_id id) noexcept
static void | set_value (osmium::OSMObject &object, attr::_version version) noexcept
static void | set_value (osmium::OSMObject &object, attr::_visible visible) noexcept
static void | set_value (osmium::OSMObject &object, attr::_deleted deleted) noexcept
static void | set_value (osmium::OSMObject &object, attr::_timestamp timestamp) noexcept
static void | set_value (osmium::OSMObject &object, attr::_cid changeset) noexcept
static void | set_value (osmium::OSMObject &object, attr::_uid uid) noexcept

## Member Function Documentation

## ◆ set_value() [1/9]

void detail::node_handler::set_value | ( | osmium::Node & | node,
|  | attr::_location | location )
| inlinestaticnoexcept

## ◆ set_value() [2/9]

template<typename TDummy>

void detail::object_handler::set_value | ( | osmium::OSMObject & | ,
|  | const TDummy & | )
| inlinestaticnoexcept

## ◆ set_value() [3/9]

void detail::object_handler::set_value | ( | osmium::OSMObject & | object,
|  | attr::_cid | changeset )
| inlinestaticnoexcept

## ◆ set_value() [4/9]

void detail::object_handler::set_value | ( | osmium::OSMObject & | object,
|  | attr::_deleted | deleted )
| inlinestaticnoexcept

## ◆ set_value() [5/9]

void detail::object_handler::set_value | ( | osmium::OSMObject & | object,
|  | attr::_id | id )
| inlinestaticnoexcept

## ◆ set_value() [6/9]

void detail::object_handler::set_value | ( | osmium::OSMObject & | object,
|  | attr::_timestamp | timestamp )
| inlinestaticnoexcept

## ◆ set_value() [7/9]

void detail::object_handler::set_value | ( | osmium::OSMObject & | object,
|  | attr::_uid | uid )
| inlinestaticnoexcept

## ◆ set_value() [8/9]

void detail::object_handler::set_value | ( | osmium::OSMObject & | object,
|  | attr::_version | version )
| inlinestaticnoexcept

## ◆ set_value() [9/9]

void detail::object_handler::set_value | ( | osmium::OSMObject & | object,
|  | attr::_visible | visible )
| inlinestaticnoexcept

The documentation for this struct was generated from the following file:

- include/osmium/builder/attr.hpp